Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class CollationTestBase

    java.lang.Object
      org.junit.Assert
          org.apache.lucene.util.LuceneTestCase
              org.apache.lucene.analysis.CollationTestBase

    public abstract class CollationTestBase

extends LuceneTestCase

Base test class for testing Unicode collation.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase
`LuceneTestCase.AwaitsFix, LuceneTestCase.BadApple, LuceneTestCase.Nightly, LuceneTestCase.Slow, LuceneTestCase.SuppressCodecs, LuceneTestCase.Weekly`

Field Summary
`protected String` | `firstRangeBeginningOriginal`
`protected String` | `firstRangeEndOriginal`
`protected String` | `secondRangeBeginningOriginal`
`protected String` | `secondRangeEndOriginal`

Fields inherited from class org.apache.lucene.util.LuceneTestCase
`classRules, DEFAULT_LINE_DOCS_FILE, doesntSupportOffsets, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, PREFLEX_IMPERSONATION_IS_ACTIVE, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEMP_DIR, TEST_AWAITSFIX, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_VERSION_CURRENT, TEST_WEEKLY, VERBOSE`

Constructor Summary
`CollationTestBase()`

Method Summary
`void` | `assertThreadSafe(Analyzer analyzer)`
`protected String` | `encodeCollationKey(byte[] keyBits)` Deprecated. only for testing deprecated filters
`void` | `testCollationKeySort(Analyzer usAnalyzer, Analyzer franceAnalyzer, Analyzer swedenAnalyzer, Analyzer denmarkAnalyzer, String usResult, String frResult, String svResult, String dkResult)`
`void` | `testFarsiRangeFilterCollating(Analyzer analyzer, BytesRef firstBeg, BytesRef firstEnd, BytesRef secondBeg, BytesRef secondEnd)`
`void` | `testFarsiRangeQueryCollating(Analyzer analyzer, BytesRef firstBeg, BytesRef firstEnd, BytesRef secondBeg, BytesRef secondEnd)`
`void` | `testFarsiTermRangeQuery(Analyzer analyzer, BytesRef firstBeg, BytesRef firstEnd, BytesRef secondBeg, BytesRef secondEnd)`

Methods inherited from class org.apache.lucene.util.LuceneTestCase
`assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertFieldsEquals, assertFieldStatisticsEquals, assertNormsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertSaneFieldCaches, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, atLeast, atLeast, closeAfterSuite, closeAfterTest, defaultCodecSupportsDocValues, defaultCodecSupportsSortedSet, dumpArray, dumpIterator, getDataFile, getOnlySegmentReader, getTestClass, getTestName, isTestThread, localeForName, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMockDirectory, newMockDirectory, newMockFSDirectory, newSearcher, newSearcher, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, random, randomLocale, randomTimeZone, rarely, rarely, setUp, tearDown, usually, usually`

Methods inherited from class org.junit.Assert
`assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### firstRangeBeginningOriginal

    protected String firstRangeBeginningOriginal

### firstRangeEndOriginal

    protected String firstRangeEndOriginal

### secondRangeBeginningOriginal

    protected String secondRangeBeginningOriginal

### secondRangeEndOriginal

    protected String secondRangeEndOriginal

Constructor Detail

### CollationTestBase

    public CollationTestBase()

Method Detail

### encodeCollationKey

    @Deprecated
    protected String encodeCollationKey(byte[] keyBits)

  Deprecated. only for testing deprecated filters

  Convenience method to perform the same function as CollationKeyFilter.

  Parameters:
    `keyBits` - the result from collator.getCollationKey(original).toByteArray()
  Returns:
    The encoded collation key for the original String

### testFarsiRangeFilterCollating

    public void testFarsiRangeFilterCollating(Analyzer analyzer,
                                              BytesRef firstBeg,
                                              BytesRef firstEnd,
                                              BytesRef secondBeg,
                                              BytesRef secondEnd)
                                       throws Exception

  Throws:
    `Exception`

### testFarsiRangeQueryCollating

    public void testFarsiRangeQueryCollating(Analyzer analyzer,
                                             BytesRef firstBeg,
                                             BytesRef firstEnd,
                                             BytesRef secondBeg,
                                             BytesRef secondEnd)
                                      throws Exception

  Throws:
    `Exception`

### testFarsiTermRangeQuery

    public void testFarsiTermRangeQuery(Analyzer analyzer,
                                        BytesRef firstBeg,
                                        BytesRef firstEnd,
                                        BytesRef secondBeg,
                                        BytesRef secondEnd)
                                 throws Exception

  Throws:
    `Exception`

### testCollationKeySort

    public void testCollationKeySort(Analyzer usAnalyzer,
                                     Analyzer franceAnalyzer,
                                     Analyzer swedenAnalyzer,
                                     Analyzer denmarkAnalyzer,
                                     String usResult,
                                     String frResult,
                                     String svResult,
                                     String dkResult)
                              throws Exception

  Throws:
    `Exception`

### assertThreadSafe

    public void assertThreadSafe(Analyzer analyzer)
                          throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.